#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "GameplayTagContainer.h"
#include "UObject/SoftObjectPtr.h"
#include "KillerLockerActorsTypes.generated.h"

class AActor;

USTRUCT(BlueprintType)
struct FKillerLockerActorsTypes : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	FGameplayTag KillerPresenceTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<AActor> LockerActorClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName SocketToSpawnOn;

public:
	DEADBYDAYLIGHT_API FKillerLockerActorsTypes();
};

FORCEINLINE uint32 GetTypeHash(const FKillerLockerActorsTypes) { return 0; }
